Package org.eclipse.birt.report.engine.api

# Interface IReportDocumentInfo

public interface IReportDocumentInfo
the interface used to access the traisent informations of a report document.

## Method Summary

Modifier and Type
Method
Description
`List`
`getErrors()`
`boolean`
`isComplete()`
Check if the report document is completely read.
`IReportDocument`
`openReportDocument()`
Open a report document.

## Method Details

### getErrors

List getErrors()

### openReportDocument

IReportDocument openReportDocument() throws org.eclipse.birt.core.exception.BirtException
Open a report document.

Returns:
  ReportDocument object
Throws:
  `org.eclipse.birt.core.exception.BirtException`

### isComplete

boolean isComplete()
Check if the report document is completely read.

Returns:
  true if document information is completely read.